package org.hardknockjava.lesson15.record;

/****************************************************************
 * A subclass of BaseRecord. It contains these fields read from
 * a file:
 *    employeeNumber (in the BaseRecord superclass);
 *    lastName;
 *    firstName;
 *    address;
 *    city;
 *    state;
 *    zip.
 *    
 * state, zip, city, lastName, and firstName are annotated as
 * sort keys in that order of priority; firstName is in
 * descending order.
 * 
 * Notice that since we only use reflection to access the fields,
 * there are no getters or setters.
 *
 */

public class Directory extends BaseRecord {
    @Key (order = 4)
    private String lastName;

    @Key (order = 5, sequence = SequenceType.DESCENDING)
    private String firstName;

    @SuppressWarnings("unused")
    private String address;

    @Key (order =  3)
    private String city;
    
    @Key (order = 1)
    private String state;
    
    @Key (order = 2)
    private String zip;
    
    // This is the default constructor. It calls the default
    // constructor in the superclass which builds the list
    // of Fields.
    public Directory() {
        super();
    }
}
