package org.hardknockjava.lesson15.record;

/**************************************************************
 * This annotation is put on a field to indicate it's a
 * sort key. Its parameters indicate the priority of the
 * field and whether it's sorted in ascending or descending
 * order. See the BaseComparator class.
 */

import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

@Retention(RUNTIME)
@Target(ElementType.FIELD)
public @interface Key {
    int order() default 0;
    SequenceType sequence() default SequenceType.ASCENDING;
}
