package org.hardknockjava.lesson15.record;

/****************************************************************
 * A subclass of BaseRecord. It contains these fields read from
 * a file:
 *    employeeNumber (in the BaseRecord superclass);
 *    hoursWorked;
 *    payRate.
 *    
 * hoursWorked is annotated as a sort key in ascending order.
 * 
 * Notice that since we only use reflection to access the fields,
 * there are no getters or setters.
 *
 */

public class Payroll extends BaseRecord {
    @Key (order = 1)
    private Float hoursWorked;
    @SuppressWarnings("unused")
    private Float payRate;
    
    // This is the default constructor. It calls the default
    // constructor in the superclass which builds the list
    // of Fields.
    public Payroll() {
        super();
    }
}
